
QGIS Application - Bug report #15943

Hillshade renderer artifacts

2016-12-06 12:22 PM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23859

Description

Borders of cells are visible. See attached.

Possibly more apparent in master, but present since the beginning.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-01-12 10:52 AM - Johannes Kroeger

That's a highly zoomed-in view (much closer than 1:1 scale) of a hillshaded raster with Nearest Neighbor resampling. I am not sure if this is a bug.

A simple workaround (or solution?) is to set the resampling to Bilinear or Cubic.

#3 - 2018-01-12 10:57 AM - Johannes Kroeger

- File nn vs bilinear.png added

Example image at about 3:1 scale.

#4 - 2018-02-15 06:40 AM - Alister Hood

- Description updated

Also affects 2.18.16.

I am pretty sure we can call it a bug - there is no reason a hillshade should need cell borders, and if you create an actual hillshade layer (e.g. using the gdal

hillshade tool) it won't have them.

#5 - 2018-02-20 07:43 AM - Alister Hood

Johannes Kroeger wrote:

A simple workaround (or solution?) is to set the resampling to Bilinear or Cubic.
It is a workaround, not a solution ;)

Also, unless I'm missing something there is no way to get rid of these artefacts in a 3D map in master.

#6 - 2018-02-20 08:33 AM - Alister Hood

Alister Hood wrote:

there is no reason a hillshade should need cell borders

Except they aren't borders as such, they are hillshading applied at the edges of the individual raster cells.  I haven't looked at how hillshading algorithms

work in gdal or wherever - maybe they actually incorporate smoothing, in which case the solution here would probably be to always enable smoothing for

the hillshade renderer.

#7 - 2018-02-25 11:14 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0

Files

hillshade.png 221 KB 2016-12-06 Paolo Cavallini

nn vs bilinear.png 126 KB 2018-01-12 Johannes Kroeger
